Subject: Re: [vlc] Unable to build the vlc package as it requires libsystemd-dev

From: Mark Hindley <[email-masked]>
Date: Thu, 30 Apr 2020 09:50:20 +0100

On Thu, 30 Apr 2020 00:19:11 +0300 Andrey ``Bass'' Shcheglov 
<[email-masked]> wrote:
> Package: vlc
> Version: 3.0.8-0+deb10u1
> Severity: normal
> 
> Dear Maintainer,
> 
> I'm trying to build the vlc package from source, and can't do so
> because it lists libsystemd-dev as a build dependency, and I have
> libelogind-dev installed instead:

Andrey,

Thanks.

As you have discovered, building directly on the host system does not 
work if the system uses elogind and the package has a build dependency 
on libsystemd-dev.  However, it will work fine in a build chroot. Try 
using pbuilder and the pbdebuild  command and/or cowbuilder.
There are also other options that should work, but I have not used 
myself, like qemu-builder and sbuild.

Changing all the libsystemd-dev dependencies present in Debian would 
require forking about 200 additional packages and is not feasible at the 
moment.

However, we ought to add this build technique to the release notes so 
that users know that plain debuild will not work on an elogind system if 
the package has libsystemd-dev build dependency.

Let me know if you still have problems.

Mark